scala.util.matching.Regex

# MatchData

#### trait MatchData extends AnyRef

This class provides methods to access the details of a match.

Source
  Regex.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Match, MatchIterator
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MatchData
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def end(i: Int): Int

   The index following the last matched character in group `i`, or -1 if nothing was matched for that group.

2. #### abstract def end: Int

   The index following the last matched character, or -1 if nothing was matched.

3. #### abstract def groupCount: Int

   The number of capturing groups in the pattern.

   The number of capturing groups in the pattern. (For a given successful match, some of those groups may not have matched any input.)

4. #### abstract val groupNames: Seq[String]

   The names of the groups, or an empty sequence if none defined

5. #### abstract val source: CharSequence

   The source from which the match originated

6. #### abstract def start(i: Int): Int

   The index of the first matched character in group `i`, or -1 if nothing was matched for that group.

7. #### abstract def start: Int

   The index of the first matched character, or -1 if nothing was matched

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from MatchData to any2stringadd[MatchData] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (MatchData, B)

   Implicit information
     This member is added by an implicit conversion from MatchData to ArrowAssoc[MatchData] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def after(i: Int): CharSequence

   The char sequence after last character of match in group `i`, or `null` if nothing was matched for that group.

7. #### def after: CharSequence

   Returns char sequence after last character of match, or `null` if nothing was matched.

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def before(i: Int): CharSequence

   The char sequence before first character of match in group `i`, or `null` if nothing was matched for that group.

10. #### def before: CharSequence

    The char sequence before first character of match, or `null` if nothing was matched.

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def ensuring(cond: (MatchData) ⇒ Boolean, msg: ⇒ Any): MatchData

    Implicit information
      This member is added by an implicit conversion from MatchData to Ensuring[MatchData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (MatchData) ⇒ Boolean): MatchData

    Implicit information
      This member is added by an implicit conversion from MatchData to Ensuring[MatchData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): MatchData

    Implicit information
      This member is added by an implicit conversion from MatchData to Ensuring[MatchData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): MatchData

    Implicit information
      This member is added by an implicit conversion from MatchData to Ensuring[MatchData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from MatchData to StringFormat[MatchData] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def group(id: String): String

    Returns the group with given name.

    Returns the group with given name.

    id

      The group name

    returns

      The requested group

    Exceptions thrown
      NoSuchElementException

      if the requested group name is not defined

22. #### def group(i: Int): String

    The matched string in group `i`, or `null` if nothing was matched.

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def matched: String

    The matched string, or `null` if nothing was matched.

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def subgroups: List[String]

    All capturing groups, i.e., not including group(0).

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    The matched string; equivalent to `matched.toString`.

    The matched string; equivalent to `matched.toString`.

    Definition Classes
      MatchData → AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (MatchData, B)

    Implicit information
      This member is added by an implicit conversion from MatchData to ArrowAssoc[MatchData] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from MatchData to any2stringadd[MatchData]

### Inherited by implicit conversion StringFormat from MatchData to StringFormat[MatchData]

### Inherited by implicit conversion Ensuring from MatchData to Ensuring[MatchData]

### Inherited by implicit conversion ArrowAssoc from MatchData to ArrowAssoc[MatchData]

### Ungrouped